﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp2.2</TargetFramework>
    <AspNetCoreHostingModel>InProcess</AspNetCoreHostingModel>
  </PropertyGroup>

  <PropertyGroup>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <NoWarn>$(NoWarn);1591</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Design" Version="2.2.0" PrivateAssets="All" />
    <PackageReference Include="NLog" Version="4.6.6" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="4.8.4" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="2.2.4" />
    <PackageReference Include="System.Linq.Dynamic.Core" Version="1.0.18" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\utils\infrastructure\infrastructure.csproj" />
    <ProjectReference Include="..\..\utils\utilities\utilities.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="NLog.config">
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

</Project>
